#include "Dictate1Help.h"

extern Player g_voice;

Dictate1Help::Dictate1Help(QWidget *parent) : CenterFrame(parent) {
   lo=new QVBoxLayout;
   loButtons=new QHBoxLayout;

   laHeadLine=new QLabel(tr("<html><b>Hjælp til Diktat 1</b></html>"));
   laHeadLine->setFont(foHeadLine);

   la1=new QLabel(tr("<html><hr>I denne diktat skal du stave 20 ord. Du får én sætning læst op ad<br>gangen, og dét ord du skal stave bliver gentaget. Du skal skrive<br>ordet i det tomme felt. Du kan hele tiden følge med i teksten på<br>skærmen. For at høre sætningen skal du klikke på det tomme felt.<br>Du kan klikke og høre sætningen igen - lige så mange gange du vil.</html>"));
   la2=new QLabel(tr("<html>Hvis du vil gå tilbage og ændre et ord, kan du klikke med musen på<br>det felt, der skal ændres. Når du mener, du er færdig, klikker du på<br>den grønne pil. Du kan ikke gå tilbage og rette, når du er gået<br>videre til næste side.</html>"));
   la3=new QLabel(tr("<html>Hvis du har stavet 18 ord, eller flere, rigtigt, går du automatisk<br>videre til Diktat 2. Hvis du har stavet færre end 18 ord rigtigt, ser<br>du resultatet af din diktat, som du skal udskrive.</html>"));
   la4=new QLabel(tr("Hvis du vil høre denne forklaring igen, skal du klikke på højttaleren."));
   la5=new QLabel(tr("<html>Klik på den grønne pil for at gå i gang med Diktat 1.<hr></html>"));

   dbVoice=new DarkButton(this,tr("voice.png"));
   dbNext=new DarkButton(this,tr("next.png"));
   loButtons->addWidget(dbVoice);
   loButtons->addStretch();
   loButtons->addWidget(dbNext);

   lo->addSpacing(20);
   lo->addWidget(laHeadLine);
   lo->addSpacing(20);
   lo->addWidget(la1);
   lo->addSpacing(10);
   lo->addWidget(la2);
   lo->addSpacing(10);
   lo->addWidget(la3);
   lo->addSpacing(10);
   lo->addWidget(la4);
   lo->addSpacing(10);
   lo->addWidget(la5);
   lo->addLayout(loButtons);
   lo->addStretch();
   setLayout(lo);

   connect(dbVoice,SIGNAL(clicked()),this,SLOT(slotPlayVoice()));
   connect(dbNext,SIGNAL(clicked()),this,SLOT(slotNextPage()));
}

void Dictate1Help::slotNextPage() {
   g_voice.stopSound();
   emit nextPage(); // Sends next-page-button clicked signal, grabbed by MainWindow.
}

void Dictate1Help::slotPlayVoice() {
   g_voice.playSound(tr("sounds/dik1help.wav"));
}

void Dictate1Help::showEvent(QShowEvent *e) {
   g_voice.playSound(tr("sounds/dik1help.wav"));
   QWidget::showEvent(e);
}
