#include "Dictate2Help.h"

extern Player g_voice;

Dictate2Help::Dictate2Help(QWidget *parent) : CenterFrame(parent) {
   lo=new QVBoxLayout;
   loButtons=new QHBoxLayout;

   laHeadLine=new QLabel(tr("<html><b>Hjælp til Diktat 2</b></html>"));
   laHeadLine->setFont(foHeadLine);

   la1=new QLabel(tr("<html><hr>Du har nu lavet Diktat 1 og skal derfor fortsætte med Diktat 2.</html>"));
   la2=new QLabel(tr("<html>I denne diktat skal du stave 60 ord, men ellers foregår alting helt ligesom før. Du får<br>sikkert brug for at rulle med vinduet på skærmen for at få de nederste ord med.</html>"));
   la3=new QLabel(tr("Hvis du vil høre denne forklaring igen, skal du klikke på højttaleren."));
   la4=new QLabel(tr("<html>Klik på den grønne pil for at gå i gang med Diktat 2.<hr></html>"));

   dbVoice=new DarkButton(this,tr("voice.png"));
   dbNext=new DarkButton(this,tr("next.png"));
   loButtons->addWidget(dbVoice);
   loButtons->addStretch();
   loButtons->addWidget(dbNext);

   lo->addSpacing(20);
   lo->addWidget(laHeadLine);
   lo->addSpacing(20);
   lo->addWidget(la1);
   lo->addSpacing(10);
   lo->addWidget(la2);
   lo->addSpacing(10);
   lo->addWidget(la3);
   lo->addSpacing(10);
   lo->addWidget(la4);
   lo->addLayout(loButtons);
   lo->addStretch();
   setLayout(lo);

   connect(dbVoice,SIGNAL(clicked()),this,SLOT(slotPlayVoice()));
   connect(dbNext,SIGNAL(clicked()),this,SLOT(slotNextPage()));
}

void Dictate2Help::slotNextPage() {
   g_voice.stopSound();
   emit nextPage(); // Sends next-page-button clicked signal, grabbed by MainWindow.
}

void Dictate2Help::slotPlayVoice() {
   g_voice.playSound(tr("sounds/dik2help.wav"));
}

void Dictate2Help::showEvent(QShowEvent *e) {
   g_voice.playSound(tr("sounds/dik2help.wav"));
   QWidget::showEvent(e);
}
