#include <QEvent>

#include "DictateWord.h"

extern Player g_voice;

DictateWord::DictateWord(QWidget *parent,QString _sCorrectWord,QString _sSound,bool bNarrow,bool _bCaseSensitive) : QLineEdit(parent) {
   sCorrectWord=_sCorrectWord;
   sSound=new QString(tr("sounds/") + _sSound);
   bCaseSensitive=_bCaseSensitive;
   if (bNarrow) {
      setMinimumWidth(100);
      setMaximumWidth(100);
      setMaxLength(12);
   }
   else {
      setMinimumWidth(175);
      setMaximumWidth(175);
      setMaxLength(20);
   }
}

bool DictateWord::isOK() {
   QString s=text().trimmed(); // s is the answer
   if (bCaseSensitive) {
      if (s==sCorrectWord) return true;
   }
   else {
      QChar *data=sCorrectWord.data(); // data now contains the correct word
      QString sBegin(data[0]); // First letter of the correct word
      if (s.startsWith(sBegin,Qt::CaseInsensitive)) { // First letter is correct
         if (s.mid(1)==sCorrectWord.mid(1)) return true; // Comparing the rest of the words
      }
   }
   return false;
}

QString DictateWord::showAnswer(int &nNNCorrect) {
   QString s;
   s=text().trimmed();
   if (s.isEmpty()) s="-";
   if (isOK()) {
      sAnswer=tr("<font color=\"green\">") + s + tr("</font>");
      nNNCorrect++;
   }
   else sAnswer=s + tr("&nbsp;(") + sCorrectWord + tr(")");
   return sAnswer;
}

bool DictateWord::event(QEvent *event) {
   if (event->type()==QEvent::MouseButtonPress) g_voice.playSound(*sSound);
   else if (event->type()==QEvent::FocusIn) g_voice.playSound(*sSound);
   return QWidget::event(event);
}
