#include "Overview.h"

Overview::Overview(QWidget *parent) : DarkMargin(parent) {
   nCurrentPage=0;

   foNormal=font();
   foNormal.setPointSize(10);
   setFont(foNormal);

   layout=new QVBoxLayout;

   la1=new QLabel(tr("<html>▶ <b>Velkommen</b></html>"));
   la2=new QLabel(tr("<html><font color=\"gray\">Oplysninger om dig selv</font></html>"));
   la3=new QLabel(tr("<html><font color=\"gray\">Hjælp til Diktat 1</font></html>"));
   la4=new QLabel(tr("<html><font color=\"gray\">Diktat 1</font></html>"));
   la5=new QLabel(tr("<html><font color=\"gray\">Hjælp til Diktat 2</font></html>"));
   la6=new QLabel(tr("<html><font color=\"gray\">Diktat 2</font></html>"));
   la7=new QLabel(tr("<html><font color=\"gray\">Resultater</font></html>"));
   timelimiter=new TimeLimiter(this);

   layout->addWidget(la1);
   layout->addWidget(la2);
   layout->addWidget(la3);
   layout->addWidget(la4);
   layout->addWidget(la5);
   layout->addWidget(la6);
   layout->addWidget(la7);
   layout->addStretch();
   layout->addWidget(timelimiter);

   setLayout(layout);
}

void Overview::nextPage() {
   switch (nCurrentPage) {
      case 0:
         la1->setText(tr("Velkommen"));
         la2->setText(tr("<html>▶ <b>Oplysninger om dig selv</b></html>"));
         break;
      case 1:
         la2->setText(tr("Oplysninger om dig selv"));
         la3->setText(tr("<html>▶ <b>Hjælp til Diktat 1</b></html>"));
         break;
      case 2:
         timelimiter->start(10,1); // Max 10 minuts for Dictate 1
         la3->setText(tr("Hjælp til Diktat 1"));
         la4->setText(tr("<html>▶ <b>Diktat 1</b></html>"));
         break;
      case 3:
         timelimiter->stop();
         la4->setText(tr("Diktat 1"));
         la5->setText(tr("<html>▶ <b>Hjælp til Diktat 2</b></html>"));
         break;
      case 4:
         timelimiter->start(30,2); // Max 30 minuts for Dictate 2
         la5->setText(tr("Hjælp til Diktat 2"));
         la6->setText(tr("<html>▶ <b>Diktat 2</b></html>"));
         break;
      case 5:
         timelimiter->stop();
         la6->setText(tr("Diktat 2"));
         la7->setText(tr("<html>▶ <b>Resultater</b></html>"));
         break;
      case 6:
         la7->setText(tr("Resultater"));
         la1->setText(tr("<html>▶ <b>Velkommen</b></html>"));
         nCurrentPage=-1;
   }
   nCurrentPage++;
}
