#include "Welcome.h"

extern Player g_voice;

Welcome::Welcome(QWidget *parent) : CenterFrame(parent) {
   lo=new QVBoxLayout;
   loButtons=new QHBoxLayout;

   laHeadLine=new QLabel(tr("<html><b>Velkommen</b></html>"));
   laHeadLine->setFont(foHeadLine);

   la1=new QLabel(tr("<html><hr>Kære kursist</html>"));
   la2=new QLabel(tr("Klik på højttaleren for at få læst op!"));
   la3=new QLabel(tr("<html>Du skal nu lave to diktater. I den første diktat skal du stave 20 ord. Hvis du har stavet de<br>fleste af ordene i den første diktat rigtigt, går du videre til den anden diktat. Her skal du<br>stave 60 ord. Hvis der er nogle ord, som du ikke kan stave, kan du bare skrive dem, som<br>du synes, de lyder – eller du kan lade være med at skrive noget.</html>"));
   la4=new QLabel(tr("<html>Husk at det her er <u>ikke</u> en eksamen men mere en hjælp til din lærer, så han eller hun<br>ved, hvad du har brug for at lære.</html>"));
   la5=new QLabel(tr("<html>Det hele tager ca. 20-25 minutter, og du får hjælp undervejs, så du ved, hvad du skal<br>gøre.</html>"));
   la6=new QLabel(tr("<html>Inden du går i gang med den første diktat, skal du skrive navn og adresse osv. Klik på<br>den grønne pil for at gå videre.</html>"));
   la7=new QLabel(tr("<html>Hvis du vil høre denne forklaring igen, skal du klikke på højttaleren.<hr></html>"));

   dbVoice=new DarkButton(this,tr("voice.png"));
   dbNext=new DarkButton(this,tr("next.png"));
   loButtons->addWidget(dbVoice);
   loButtons->addStretch();
   loButtons->addWidget(dbNext);

   lo->addSpacing(20);
   lo->addWidget(laHeadLine);
   lo->addSpacing(20);
   lo->addWidget(la1);
   lo->addSpacing(10);
   lo->addWidget(la2);
   lo->addSpacing(10);
   lo->addWidget(la3);
   lo->addSpacing(10);
   lo->addWidget(la4);
   lo->addSpacing(10);
   lo->addWidget(la5);
   lo->addSpacing(10);
   lo->addWidget(la6);
   lo->addSpacing(10);
   lo->addWidget(la7);
   lo->addLayout(loButtons);
   lo->addStretch();
   setLayout(lo);

   la1->setFocus();

   connect(dbVoice,SIGNAL(clicked()),this,SLOT(slotPlayVoice()));
   connect(dbNext,SIGNAL(clicked()),this,SLOT(slotNextPage()));
}

void Welcome::slotNextPage() {
   g_voice.stopSound();
   emit nextPage(); // Sends next-page-button clicked signal, grabbed by MainWindow.
}

void Welcome::slotPlayVoice() {
   g_voice.playSound(tr("sounds/welcome.wav"));
}
